MCP Tools Reference: ces.googleapis.com

工具:delete_evaluation_dataset

删除指定的评估数据集。

以下代码示例展示了如何使用 curl 调用 delete_evaluation_dataset MCP 工具。

Curl 请求
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_evaluation_dataset",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

输入架构

EvaluationService.DeleteEvaluationDataset 的请求消息。

DeleteEvaluationDatasetRequest

JSON 表示法
{
  "name": string,
  "etag": string
}
字段
name

string

必需。要删除的评估数据集的资源名称。

etag

string

可选。评估数据集的当前 etag。如果未提供 etag,删除操作将覆盖任何并发更改。如果提供的 etag 与评估数据集的当前 etag 不匹配,删除操作将被阻止并返回 ABORTED 错误。

输出架构

一种通用的空消息,您可以重复使用它,避免在 API 中定义重复的空消息。一个典型示例是将其用作 API 方法的请求或响应类型。例如:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

工具注释

工具注释会发送给 MCP 客户端,用于描述指定工具的基本风险。大多数客户端会将这些提示视为不受信任的,但它们可用于确定何时向用户发送确认提示。

除了标题字符串之外,还定义了以下布尔值提示:

  • readOnlyHint:如果为 true,则工具不会修改其环境。默认值:false。
  • destructiveHint:如果为 true,则工具可以执行破坏性操作。如果为 false,则该工具只能执行添加操作。默认值:true。
  • idempotentHint:如果为 true,则使用相同实参重复调用该工具不会对其环境产生任何额外影响。默认值:false。
  • openWorldHint:如果为 true,则工具可以与外部实体的“开放世界”互动。如果为 false,则该工具只能与内部实体互动。例如,网络搜索工具是开放世界工具,而内存工具不是开放世界工具。

破坏性提示:✅ | 等幂性提示:❌ | 只读提示:❌ | 开放世界提示:❌